Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.domain
Class CareReceiverId

    java.lang.Object
      be.ehealth.business.mycarenetcommons.domain.CareReceiverId

All Implemented Interfaces:
  Serializable

    public class CareReceiverId

extends Object
implements Serializable

maps to the mycarenet CareReceiverIdType. See mycarenet documentation , document Service_Catalogue_Commons , under header Routing. quote : Care Receiver: the member of the HIO, it is to this HIO the message is routed too.

- SSIN: the national number of the care receiver, should always be present and can only be omitted in very rare case (e.g. new born).
- RegNrWithMut: the registration number of the care receiver, optional when the SSIN is provided. Must be combined with the mutuality since the number is only unique with a mutuality.
- Mutuality: the 3 digit code of the mutuality (e.g. 203, 100, …). Must be used with reg nr with mut, but can also be used with SSIN to override the mutuality the message should arrive.

See Also:
  Serialized Form

Constructor Summary
`CareReceiverId(String ssinNumber)`
`CareReceiverId(String registrationNumberWithMutuality, String mutuality)`
`CareReceiverId(String ssinNumber, String registrationNumberWithMutuality, String mutuality)`

Method Summary
`String` | `getMutuality()`
`String` | `getRegistrationNumberWithMutuality()`
`String` | `getSsinNumber()`
`void` | `setMutuality(String mutuality)`
`void` | `setRegistrationNumberWithMutuality(String registrationNumberWithMutuality)`
`void` | `setSsinNumber(String ssinNumber)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CareReceiverId

    public CareReceiverId(String ssinNumber)

Parameters:
  `ssinNumber` -

### CareReceiverId

    public CareReceiverId(String registrationNumberWithMutuality,
                          String mutuality)

Parameters:
  `registrationNumberWithMutuality` -
  `mutuality` -

### CareReceiverId

    public CareReceiverId(String ssinNumber,
                          String registrationNumberWithMutuality,
                          String mutuality)

Parameters:
  `ssinNumber` -
  `registrationNumberWithMutuality` -
  `mutuality` -

Method Detail

### getSsinNumber

    public String getSsinNumber()

  Returns:
    the ssinNumber

### setSsinNumber

    public void setSsinNumber(String ssinNumber)

  Parameters:
    `ssinNumber` - the ssinNumber to set

### getRegistrationNumberWithMutuality

    public String getRegistrationNumberWithMutuality()

  Returns:
    the registrationNumberWithMutuality

### setRegistrationNumberWithMutuality

    public void setRegistrationNumberWithMutuality(String registrationNumberWithMutuality)

  Parameters:
    `registrationNumberWithMutuality` - the registrationNumberWithMutuality to set

### getMutuality

    public String getMutuality()

  Returns:
    the mutuality

### setMutuality

    public void setMutuality(String mutuality)

  Parameters:
    `mutuality` - the mutuality to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.